GCLOUD_CONFIG_CONFIGURATIONS_LIST(1)

NAME

gcloud config configurations list - lists existing named configurations

SYNOPSIS

gcloud config configurations list [--filter=EXPRESSION] [--limit=LIMIT] [--sort-by=[FIELD,...]] [GLOBAL-FLAG ...]

DESCRIPTION
Lists existing named configurations. Run $ gcloud topic configurations for an overview of named configurations.

LIST COMMAND FLAGS

    --filter=EXPRESSION
        Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details and examples of filter expressions run $ gcloud topic filters. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --limit=LIMIT
        The maximum number of resources to list. The default is unlimited. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

    --sort-by=[FIELD,...]
        A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field. This flag interacts with other flags that are applied in this order: --flatten, --sort-by, --filter, --limit.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To list all available configurations, run:
    $ gcloud config configurations list